#!/usr/bin/env python3

class Issues:
    OS = ['Debian', 'Ubuntu', 'Redhat']
    CATEGORY = ['cve', 'cis']

    def __init__(self, alias, os, severity, priority, component, description, category):
        self._alias = alias # CVE-xxxx-yyyy
        self._os = os
        self._severity = severity
        self._priority = priority
        self._component = component
        self._description = description
        self._category = category

    def getAlias(self) -> str:
        return self._alias

    def getOs(self) -> str:
        return self._os

    def getSeverity(self) -> str:
        return self._severity

    def getPriority(self) -> str:
        return self._priority

    def getComponent(self) -> str:
        return self._component

    def getDescription(self) -> str:
        return self._description

    def getCategory(self) -> str:
        return self._category
